valgrind

module (bold = default) build dependencies
valgrind/3.9.0 gcc 4.4.7

also see Using Software.